#include "StdAfx.h"
#include "ENEMYCREAT.h"


ENEMYCREAT::ENEMYCREAT(void)
{
	Res			=	new	IMAGE[18];
	DeadRes		=	new	IMAGE[5];

	BallDead	=	new	IMAGE[3];
	DroidDead	=	new	IMAGE[3];
	CubeDead	=	new	IMAGE[3];

	Ball	= NULL;
	Droid	= NULL;

	Res[0].LoadImageFromFile(L"Texture/enemy/droid_1.png");
	Res[1].LoadImageFromFile(L"Texture/enemy/droid_2.png");
	Res[2].LoadImageFromFile(L"Texture/enemy/droid_3.png");
	Res[3].LoadImageFromFile(L"Texture/enemy/droid_4.png");
	Res[4].LoadImageFromFile(L"Texture/enemy/droid_5.png");
	Res[5].LoadImageFromFile(L"Texture/enemy/droid_6.png");

	Res[6].LoadImageFromFile(L"Texture/enemy/cub_1.png");
	Res[7].LoadImageFromFile(L"Texture/enemy/cub_2.png");
	Res[8].LoadImageFromFile(L"Texture/enemy/cub_3.png");
	Res[9].LoadImageFromFile(L"Texture/enemy/cub_4.png");
	Res[10].LoadImageFromFile(L"Texture/enemy/cub_5.png");
	Res[11].LoadImageFromFile(L"Texture/enemy/cub_6.png");

	Res[12].LoadImageFromFile(L"Texture/enemy/boll_1.png");
	Res[13].LoadImageFromFile(L"Texture/enemy/boll_2.png");
	Res[14].LoadImageFromFile(L"Texture/enemy/boll_3.png");
	Res[15].LoadImageFromFile(L"Texture/enemy/boll_4.png");
	Res[16].LoadImageFromFile(L"Texture/enemy/boll_5.png");
	Res[17].LoadImageFromFile(L"Texture/enemy/boll_6.png");

	DeadRes[0].LoadImageFromFile(L"Texture/enemy/boom_2.png");
	DeadRes[1].LoadImageFromFile(L"Texture/enemy/boom_3.png");

	DeadRes[2].LoadImageFromFile(L"Texture/enemy/boll_boom.png");
	DeadRes[3].LoadImageFromFile(L"Texture/enemy/cub_boom.png");
	DeadRes[4].LoadImageFromFile(L"Texture/enemy/droid_boom.png");

	BallDead[0] = DeadRes[2];
	BallDead[1] = DeadRes[0];
	BallDead[2] = DeadRes[1];

	DroidDead[0] = DeadRes[4];
	DroidDead[1] = DeadRes[0];
	DroidDead[2] = DeadRes[1];

	CubeDead[0] = DeadRes[3];
	CubeDead[1] = DeadRes[0];
	CubeDead[2] = DeadRes[1];

}
ENEMY*	ENEMYCREAT::CreateDroid(float x,float y)
	{
		Droid	=	new	DROID(Res,DroidDead);
		Droid->SetPosition(x,y);

		return Droid;
	}
ENEMY*	ENEMYCREAT::CreateCube(float x,float y)
	{
		Cube	=	new	CUBE(Res+6,CubeDead);
		Cube->SetPosition(x,y);

		return Cube;
	}
ENEMY*	ENEMYCREAT::CreateBall(float x,float y)
	{
		Ball	=	new	BALL(Res+12,BallDead);
		Ball->SetPosition(x,y);

		return Ball;
	}

ENEMYCREAT::~ENEMYCREAT(void)
{
}
